{
    attributes = (
        {
            columnName = "id_type_calcul"; 
            externalType = NUMBER; 
            name = id; 
            precision = 8; 
            valueClassName = NSNumber; 
            valueType = l; 
        }, 
        {
            columnName = "lib_type_calcul"; 
            externalType = varchar2; 
            name = libTypeCalcul; 
            valueClassName = NSString; 
            width = 250; 
        }
    ); 
    className = "org.cocktail.fwkcktlinternat.serveur.metier.EOTypeCalcul"; 
    classProperties = (detailHebergements, libTypeCalcul, tarifs); 
    externalName = "LITCHI.TYPE_CALCUL"; 
    fetchSpecificationDictionary = {}; 
    name = "FwkInternat_TypeCalcul"; 
    primaryKeyAttributes = (id); 
    relationships = (
        {
            destination = "FwkInternat_DetailHebergement"; 
            isToMany = Y; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = idTypeCalcul; sourceAttribute = id; }); 
            name = detailHebergements; 
        }, 
        {
            destination = "FwkInternat_Tarif"; 
            isToMany = Y; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = idTypeCalcul; sourceAttribute = id; }); 
            name = tarifs; 
        }
    ); 
}
